# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name entropy

%global common_summary A platform independent entropy source

%global common_description A platform independent method to obtain cryptographically strong entropy.\
Users looking for cryptographically strong (number-theoretically\
sound) PRNGs should see the 'DRBG' package.

Name:           ghc-%{pkg_name}
Version:        0.2.1
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Sat Feb  2 2013 <veoss87@gmail.com> - 0.2.1-1
- spec file generated by cabal-rpm-0.6.6
- fixed description
